---
title: ANGLE_instanced_arrays.vertexAttribDivisorANGLE()
slug: Web/API/ANGLE_instanced_arrays/vertexAttribDivisorANGLE
tags:
  - ANGLE_instanced_arrays
  - API
  - Method
  - Reference
  - WebGL
  - WebGL extension
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>ANGLE_instanced_arrays.vertexAttribDivisorANGLE()</strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a>  modifies the rate at which generic vertex attributes advance when rendering multiple instances of primitives with {{domxref("ANGLE_instanced_arrays.drawArraysInstancedANGLE()", "ext.drawArraysInstancedANGLE()")}} and {{domxref("ANGLE_instanced_arrays.drawElementsInstancedANGLE()", "ext.drawElementsInstancedANGLE()")}}.</p>

<div class="note">
<p><strong>Note:</strong> When using {{domxref("WebGL2RenderingContext", "WebGL2")}}, this method is available as {{domxref("WebGL2RenderingContext.vertexAttribDivisor()", "gl.vertexAttribDivisor()")}} by default.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>ext</var>.vertexAttribDivisorANGLE(<var>index</var>, <var>divisor</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>index</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the generic vertex attributes.</dd>
 <dt><code>divisor</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the number of instances that will pass between updates of the generic attribute.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var ext = gl.getExtension('ANGLE_instanced_arrays');
ext.vertexAttribDivisorANGLE(0, 2);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('ANGLE_instanced_arrays', '', 'ANGLE_instanced_arrays')}}</td>
   <td>{{Spec2('ANGLE_instanced_arrays')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.ANGLE_instanced_arrays.vertexAttribDivisorANGLE")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ANGLE_instanced_arrays.drawArraysInstancedANGLE()", "ext.drawArraysInstancedANGLE()")}}</li>
 <li>{{domxref("ANGLE_instanced_arrays.drawElementsInstancedANGLE()", "ext.drawElementsInstancedANGLE()")}}</li>
 <li>{{domxref("WebGLRenderingContext.drawArrays()")}}</li>
 <li>{{domxref("WebGLRenderingContext.drawElements()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.drawArraysInstanced()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.drawElementsInstanced()")}}</li>
 <li>{{domxref("WebGL2RenderingContext.vertexAttribDivisor()")}}</li>
</ul>
